Bug 1270585 - instack isntallation fails with parse error: Invalid string liberty on CentOS
instack isntallation fails with parse error: Invalid string liberty on CentOS
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: instack-undercloud (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: James Slagle
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 09:06 EDT by Ronnie Rasouli
Modified: 2016-05-19 11:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:33:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
instack installation log output (10.18 KB, text/plain)
2015-10-11 09:06 EDT, Ronnie Rasouli
no flags Details

  None (edit)
Description Ronnie Rasouli 2015-10-11 09:06:24 EDT
Created attachment 1081795 [details]
instack installation log output

Description of problem:

The instack-virt setup command fails with the error:

parse error: Invalid string: control characters from U+0000 through U+001F must be escaped at line 32, column 30

prior that there was an error that the installation failed with 

"EPEL repository is required to install python-pip for CentOS."

EPEL installed with the following:

sudo yum install epel-release
sudo rpm -Uvh epel-release-7*.rpm

Then installing the instack undercloud got the following error:

Seed VM created with MAC 52:54:00:92:87:a4
parse error: Invalid string: control characters from U+0000 through U+001F must be escaped at line 32, column 30


Version-Release number of selected component (if applicable):

instack-0.0.8-dev4.el7.centos.noarch
instack-undercloud-2.1.3-dev225.el7.centos.noarch

Centos
uname -a
Linux lynx04.qa.lab.tlv.redhat.com 3.10.0-229.el7.x86_64 #1 SMP Fri Mar 6 11:36:42 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:


Steps to Reproduce:
1.install EPEL
2.instack-virt-isntall

Actual results:

installation error

Expected results:

installation to pass

Additional info:

Did not try to install the instack via packstack
Comment 1 Alan Pevec 2015-10-12 08:45:00 EDT
> prior that there was an error that the installation failed with 
> "EPEL repository is required to install python-pip for CentOS."

This was already discussed in [Rdo-list] Instack-virt-setup needs epel?

We need to find out where is python-pip dependency coming from, it shouldn't be required for runtime.

Please report what does rpm -e --test python-pip show on your system.
Comment 2 Alan Pevec 2015-10-12 08:48:29 EDT
Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1265403#c3 ?
Comment 3 Ronnie Rasouli 2015-10-18 01:14:20 EDT
I have ran the command 
rpm -e --test python-pip 
result is nothing no output
running 
$ rpm -qa | grep python-pip
python-pip-7.1.0-1.el7.noarch
Comment 5 Chandan Kumar 2016-05-19 11:33:17 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.